IF SN8P1909 == 1
CHIP SN8P1909
CLASS_SB = 1

ELSEIF SN8P1907 == 1
CHIP SN8P1907
CLASS_SB = 1

ELSEIF SN8P1829 == 1
CHIP SN8P1829
CLASS_SB = 1

ENDIF

IF ICE_Mode==1
IF SW_1919==1
	Sio_SCK		EQU	p4.6		; To P10
	Sio_SO		EQU	p4.7		; To P11
	Sio_SI		EQU	p4.4		; To P12
	ICE_Reset	EQU	p4.1		; ICE to reset EV Board 
	Chk_Flag	EQU	p4.5
	V_SioLoopCnt	EQU	8
ELSEIF SW_1929==1
	Sio_SCK		EQU	p3.2		; To P10		(46)-->32
	Sio_SO		EQU	p3.3		; To P11		(47)-->33
	Sio_SI		EQU	p3.0		; To P12		(44)-->30
	ICE_Reset	EQU	p3.1		; ICE to reset EV Board	(45)-->31 
	Chk_Flag	EQU	P3.1		;			(45)
	V_SioLoopCnt	EQU	8
ELSEIF SO_1937 == 1
   	ICE_CLK		EQU	P3.4		; ICE clock pin
	ICE_Reset	EQU	p3.1		; ICE to reset EV Board	(45)-->31 
	Chk_Flag	EQU	P3.1			;			(45)
	V_SioLoopCnt	EQU	8
ELSEIF SW_1989 = 1
	Sio_SCK		EQU	p3.6		; To P10
	Sio_SO		EQU	p3.7		; To P11
	Sio_SI		EQU	p3.4		; To P12
	ICE_Reset	EQU	p3.5		; ICE to reset EV Board 
	Chk_Flag	EQU	P3.5
	V_SioLoopCnt	EQU	8
ELSE
	Sio_SCK		EQU	p3.6	
	Sio_SO		EQU	p3.7
	Sio_SI		EQU	p3.4
	ICE_Reset	EQU	p3.1		; ICE to reset EV Board 
	Chk_Flag	EQU	P3.5
	V_SioLoopCnt	EQU	8
ENDIF

ENDIF
